#include <stdio.h>

int main()
{
    long long n;
    scanf("%lld",&n);
    for (long long i=0;i<n;i++)
    {
        long long a,b;
        scanf("%lld%lld",&a,&b);
    }
    printf("%lld",n/2+n%2-1);
}